commit:     6a94932e4989b453e7a6e0ac1a6c63ff8559fb07
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 10 03:18:25 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 10 03:39:12 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a94932e

dev-python/virtualenv: Bump to 21.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/virtualenv/Manifest                 |   2 +
 dev-python/virtualenv/virtualenv-21.2.0.ebuild | 134 +++++++++++++++++++++++++
 2 files changed, 136 insertions(+)

diff --git a/dev-python/virtualenv/Manifest b/dev-python/virtualenv/Manifest
index 7a4cb8f278ac..083f6900baaf 100644
--- a/dev-python/virtualenv/Manifest
+++ b/dev-python/virtualenv/Manifest
@@ -13,3 +13,5 @@ DIST virtualenv-21.0.0.tar.gz 5836591 BLAKE2B 
de13338edd22cf251a69834416e19556d7
 DIST virtualenv-21.0.0.tar.gz.provenance 9374 BLAKE2B 
9bab5b3cb5445578f37554f9b7def3d8119bbd9dd1b876cc2411a65a86a2cb00502ceed80f1b35fd90d8637fb2adfe1da1e5d794fcf37ade1d1fc1bee43b6bba
 SHA512 
1ddfd8a1852b09705bf8b2d98da40b4a9604d287555b4dc004d120573aa0ae235952407594b1c0367475e78246f6f7513691f3c084e4bb6034635960cb4dd188
 DIST virtualenv-21.1.0.tar.gz 5840471 BLAKE2B 
b6c97e13c2473481ea627d1527ac0482165f784e8b5c4952ebdf3f6a38d6e182ee04e114842ac16ee747063a18bf6b54ccda4fcf09407312f848eb8860e2348e
 SHA512 
966a2851a8f524f8281f401119eb36a972bcdb6cb5ceacd65e1460bf7ed7a302fb0533ddff80a3db609929666d3b82d2c15b8c0ad25ab9e678891377c71cf108
 DIST virtualenv-21.1.0.tar.gz.provenance 9148 BLAKE2B 
e88443aa95a98ddf5eed097a429199d1ce6c757c44c7567dd992ae7dd1019300c96879ee25127b86166f742087d4dfb6cde21284d4c4ba2df40daa4251a06353
 SHA512 
973f37921bbc46d1783fca8e421197ff74f8e67c9b8ac2b9d82a500d0cefde080790bafd8377c28145febf28cb8d564013828fa37f62a20b50df6164c2fba8c0
+DIST virtualenv-21.2.0.tar.gz 5840618 BLAKE2B 
a02d89abb227e83981f2ae8bab925c50d125dfc518ff923c4abca287da7e8103fe0b1240cb0ae420f8584664c42f4edeb5a70c7626c3225de0b033e39ed9bb4e
 SHA512 
29b41748fa5fe5dd79c1199c3ad28beeec168b54b0a051cfda805c20fa78e0505952a06d837bec3e917935845af3a10435ff7d105fa14246623ac3ec8007755e
+DIST virtualenv-21.2.0.tar.gz.provenance 9383 BLAKE2B 
d977d995073e99ddc2822b3982e4a0967568ccd8d064ac2cbbdc132852c3aa63161377d2ab443e291eaf2fe45f5ed3986de82660315926f119dbc1318972e94d
 SHA512 
966aa430c8268df52e03e6640c44f26b04f698ad3c4eae44d4e55944014f449842ce41b2004b7583b5ac47ad90b0e2070da5b6833cdaea1bc9864d2cf484e04b

diff --git a/dev-python/virtualenv/virtualenv-21.2.0.ebuild 
b/dev-python/virtualenv/virtualenv-21.2.0.ebuild
new file mode 100644
index 000000000000..5ca7001fbd03
--- /dev/null
+++ b/dev-python/virtualenv/virtualenv-21.2.0.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/pypa/virtualenv
+PYTHON_TESTED=( python3_{11..14} pypy3_11 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" python3_{13,14}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Virtual Python Environment builder"
+HOMEPAGE="
+       https://virtualenv.pypa.io/en/stable/
+       https://pypi.org/project/virtualenv/
+       https://github.com/pypa/virtualenv/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~s390"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/distlib-0.3.7[${PYTHON_USEDEP}]
+       >=dev-python/filelock-3.24.2[${PYTHON_USEDEP}]
+       >=dev-python/platformdirs-3.9.1[${PYTHON_USEDEP}]
+       >=dev-python/python-discovery-1[${PYTHON_USEDEP}]
+
+       dev-python/ensurepip-pip
+       >=dev-python/ensurepip-setuptools-70.1
+       dev-python/ensurepip-wheel
+"
+# coverage is used somehow magically in virtualenv, maybe it actually
+# tests something useful
+BDEPEND="
+       dev-python/hatch-vcs[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               $(python_gen_cond_dep '
+                       dev-python/coverage[${PYTHON_USEDEP}]
+                       >=dev-python/pip-22.2.1[${PYTHON_USEDEP}]
+                       >=dev-python/pytest-mock-3.6.1[${PYTHON_USEDEP}]
+                       dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+                       dev-python/pytest-timeout[${PYTHON_USEDEP}]
+                       dev-python/pytest-xdist[${PYTHON_USEDEP}]
+                       >=dev-python/setuptools-67.8[${PYTHON_USEDEP}]
+                       dev-python/wheel[${PYTHON_USEDEP}]
+                       >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+               ' "${PYTHON_TESTED[@]}")
+               $(python_gen_cond_dep '
+                       dev-python/time-machine[${PYTHON_USEDEP}]
+               ' python3_{11..14})
+               $(python_gen_cond_dep '
+                       >=dev-python/pytest-freezer-0.4.6[${PYTHON_USEDEP}]
+               ' 'pypy3*')
+       )
+"
+
+src_prepare() {
+       local PATCHES=(
+               # use wheels from ensurepip bundle
+               "${FILESDIR}/${PN}-21.1.0-ensurepip.patch"
+       )
+
+       distutils-r1_src_prepare
+
+       # workaround test failures due to warnings from setuptools-scm, sigh
+       echo '[tool.setuptools_scm]' >> pyproject.toml || die
+
+       # remove useless pins
+       sed -i -e 's:,<[=0-9.]*::' pyproject.toml || die
+
+       # remove bundled wheels
+       rm src/virtualenv/seed/wheels/embed/*.whl || die
+}
+
+python_test() {
+       if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+               einfo "Skipping testing on ${EPYTHON}"
+               return
+       fi
+
+       local EPYTEST_DESELECT=(
+               
tests/unit/seed/embed/test_bootstrap_link_via_app_data.py::test_seed_link_via_app_data
+               # tests for old wheels with py3.7 support
+               
tests/unit/seed/embed/test_pip_invoke.py::test_base_bootstrap_via_pip_invoke
+               
tests/unit/seed/wheels/test_wheels_util.py::test_wheel_not_support
+               # broken by different wheel versions in ensurepip
+               
tests/unit/seed/wheels/test_acquire_find_wheel.py::test_find_latest_string
+               
tests/unit/seed/wheels/test_acquire_find_wheel.py::test_find_exact
+               
tests/unit/seed/wheels/test_acquire_find_wheel.py::test_find_latest_none
+               
tests/unit/seed/wheels/test_acquire.py::test_download_wheel_bad_output
+               # hangs on a busy system, sigh
+               tests/unit/test_util.py::test_reentrant_file_lock_is_thread_safe
+               # TODO
+               
tests/unit/create/via_global_ref/test_build_c_ext.py::test_can_build_c_extensions
+               # random resource leaks or xdist
+               tests/unit/test_file_limit.py::test_too_many_open_files
+               # Internet
+               tests/unit/create/test_creator.py::test_create_distutils_cfg
+       )
+       case ${EPYTHON} in
+               pypy3.11)
+                       EPYTEST_DESELECT+=(
+                               # these don't like the executable called 
pypy3.11?
+                               tests/unit/activation/test_bash.py::test_bash
+                               tests/unit/activation/test_fish.py::test_fish
+                               
tests/unit/discovery/py_info/test_py_info.py::test_fallback_existent_system_executable
+                       )
+                       ;;
+       esac
+
+       local -x TZ=UTC
+       local EPYTEST_PLUGINS=( pytest-{mock,rerunfailures} )
+       if [[ ${EPYTHON} == pypy3* ]]; then
+               EPYTEST_PLUGINS+=( pytest-freezer )
+       else
+               EPYTEST_PLUGINS+=( time-machine )
+       fi
+       local EPYTEST_RERUNS=5
+       local EPYTEST_TIMEOUT=180
+       local EPYTEST_XDIST=1
+       epytest -o addopts=
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       # remove bundled wheels, we're using ensurepip bundle instead
+       find "${ED}" -name '*.whl' -delete || die
+}

Reply via email to